Subject: bug#21934: 24.5; find-tag: reading TAGS file incorrectly

From: Dmitry Gutov <[email-masked]>
Date: Thu, 26 Nov 2015 04:41:18 +0200

On 11/22/2015 03:17 AM, Dmitry Gutov wrote:

> But what else, really, could (xref-backend-identifier-at-point 'etags)
> return here? It only knows the current buffer's syntax table, and that
> its data source is etags.

I take that back: even thought it's not widely used, etags has the 
find-tag-default-function variable/major-mode-property, and starting 
with 5ffa4e3e3c853ed75e4f4b441e813252112f2d24 xref delegates to it.

It's a bit weird (looks at buffer contents before point if point is not 
at any symbol), but hopefully that won't be much of a problem.